import os
import time
import datetime

print("Integrity Assistant v1.0.2")
print("Copyright (c) 2025 Integrity Software")

print("Initializing monitoring service...")
time.sleep(1)
print("Monitoring system activity...")
print("Type 'help' for a list of commands, or 'exit' to quit.")

while True:
    cmd = input("> ")
    if cmd.lower() == "exit":
        print("Shutting down Integrity Assistant...")
        break
    elif cmd.lower() == "help":
        print("Available commands:")
        print("  help - Display this help message")
        print("  status - Show monitoring status")
        print("  report - Generate activity report")
        print("  exit - Exit the program")
    elif cmd.lower() == "status":
        print(f"Monitoring active since {datetime.datetime.now().strftime('%H:%M:%S')}")
    elif cmd.lower() == "report":
        print("Generating activity report...")
        time.sleep(1)
        print("Report complete. Activity summary:")
        print("  - Web browsing: 2.5 hours")
        print("  - Document editing: 1.2 hours")
        print("  - Coding: 3.7 hours")
    else:
        print(f"Unknown command: {cmd}")
